SRC/zlarf1f.f(3)

NAME
SRC/zlarf1f.f

SYNOPSIS

  Functions/Subroutines
subroutine zlarf1f (side, m, n, v, incv, tau, c, ldc, work)
ZLARF1F applies an elementary reflector to a general rectangular

Function/Subroutine Documentation

  subroutine zlarf1f (character side, integer m, integer n, complex*16, dimension( * ) v, integer incv, complex*16 tau, complex*16, dimension( ldc, * ) c, integer ldc, complex*16, dimension( * ) work)

ZLARF1F applies an elementary reflector to a general rectangular

Purpose:

    !>
    !> ZLARF1F applies a complex elementary reflector H to a real m by n matrix
    !> C, from either the left or the right. H is represented in the form
    !>
    !>       H = I - tau * v * v**H
    !>
    !> where tau is a complex scalar and v is a complex vector.
    !>
    !> If tau = 0, then H is taken to be the unit matrix.
    !>
    !> To apply H**H, supply conjg(tau) instead
    !> tau.
    !>

Parameters
    SIDE

    !>          SIDE is CHARACTER*1
    !>          = 'L': form  H * C
    !>
    !> \param[in] M
    !> \verbatim
    !>          M is INTEGER
    !>          The number of rows of the matrix C.
    !>

    N

    !>          N is INTEGER
    !>          The number of columns of the matrix C.
    !>

    V

    !>          V is COMPLEX*16 array, dimension
    !>                     (1 + (M-1)*abs(INCV)) if SIDE = 'L'
    !>                  or (1 + (N-1)*abs(INCV)) if SIDE = 'R'
    !>          The vector v in the representation of H. V is not used if
    !>          TAU = 0. V(1) is not referenced or modified.
    !>

    INCV

    !>          INCV is INTEGER
    !>          The increment between elements of v. INCV <> 0.
    !>

    TAU

    !>          TAU is COMPLEX*16
    !>          The value tau in the representation of H.
    !>

    C

    !>          C is COMPLEX*16 array, dimension (LDC,N)
    !>          On entry, the m by n matrix C.
    !>          On exit, C is overwritten by the matrix H * C if SIDE = 'L',
    !>          or C * H if SIDE = 'R'.
    !>

    LDC

    !>          LDC is INTEGER
    !>          The leading dimension of the array C. LDC >= max(1,M).
    !>

    WORK

    !>          WORK is COMPLEX*16 array, dimension
    !>                         (N) if SIDE = 'L'
    !>                      or (M) if SIDE = 'R'
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 158 of file zlarf1f.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.